## davs2 1.6

=== build/linux/Makefile ===
# Makefile

include config.mak

vpath %.cc $(SRCPATH)
vpath %.c $(SRCPATH)
vpath %.h $(SRCPATH)
vpath %.S $(SRCPATH)
vpath %.asm $(SRCPATH)
vpath %.rc $(SRCPATH)
CFLAGS += -I$(SRCPATH) -I$(SRCPATH)/.. \
			-I$(SRCPATH)/x86 \
			-I$(SRCPATH)/vec

GENERATED =

all: default
default:

SRCS  = common/aec.cc    common/alf.cc \
		common/bitstream.cc common/block_info.cc \
		common/common.cc common/davs2.cc common/cpu.cc common/cu.cc \
		common/deblock.cc common/decoder.cc \
		common/frame.cc  common/header.cc \
		common/intra.cc common/mc.cc \
		common/memory.cc \
		common/pixel.cc common/predict.cc \
		common/quant.cc \
		common/sao.cc common/transform.cc \
		common/primitives.cc \
		common/threadpool.cc common/win32thread.cc

SRCCLI = test/test.c

SRCSO =
OBJS =
OBJAVX =
OBJSO =
OBJCLI =

#OBJCHK = tools/checkasm.o

## CONFIG: $(shell cat config.h)
## 
## ifneq ($(findstring HAVE_THREAD 1, $(CONFIG)),)
## SRCS    += common/threadpool.cc
## endif
## ifneq ($(findstring HAVE_WIN32THREAD 1, $(CONFIG)),)
## SRCS    += common/win32thread.cc
## endif

# MMX/SSE optims
ifneq ($(AS),)
# asm --------------------------------------------------------------
X86SRC = common/x86/const-a.asm \
				common/x86/blockcopy8.asm \
				common/x86/cpu-a.asm \
				common/x86/dct8.asm \
				common/x86/mc-a2.asm \
				common/x86/pixeladd8.asm \
				common/x86/quant8.asm

ifeq ($(SYS_ARCH),X86)
ARCH_X86 = yes
ASMSRC   = $(X86SRC) 
endif

## Until now, we do not have 64-bit asm
ifeq ($(SYS_ARCH),X86_64)
ARCH_X86 = yes
SRCS     += common/vec/intrinsic.cc \
			common/vec/intrinsic_alf.cc \
			common/vec/intrinsic_sao.cc \
			common/vec/intrinsic_deblock.cc \
			common/vec/intrinsic_intra-filledge.cc \
			common/vec/intrinsic_intra-pred.cc \
			common/vec/intrinsic_inter_pred.cc \
			common/vec/intrinsic_idct.cc \
			common/vec/intrinsic_pixel.cc

SRCSAVX = common/vec/intrinsic_sao_avx2.cc \
		  common/vec/intrinsic_deblock_avx2.cc \
		  common/vec/intrinsic_intra-pred_avx2.cc \
		  common/vec/intrinsic_inter_pred_avx2.cc \
		  common/vec/intrinsic_pixel_avx.cc \
		  common/vec/intrinsic_idct_avx2.cc

CFLAGS += -mmmx -msse -msse2 -msse3 -msse4 -msse4.1 -msse4.2 -msse4a -mssse3 -mavx
# ASMSRC   = $(X86SRC:-32.asm=-64.asm)
ASMSRC   = $(X86SRC)
ASFLAGS += -DARCH_X86_64=1
OBJASM  = $(ASMSRC:%.asm=%.o)
$(OBJASM): common/x86/x86inc.asm common/x86/x86util.asm
endif

ifdef ARCH_X86
ASFLAGS += -I$(SRCPATH)/x86/
#SRCS    += x86/mc-c.cc x86/predict-c.cc
OBJASM  = $(ASMSRC:%.asm=%.o)
$(OBJASM): common/x86/x86inc.asm common/x86/x86util.asm
endif

# AltiVec optims
ifeq ($(SYS_ARCH),PPC)
SRCS += common/ppc/mc.cc common/ppc/pixel.cc common/ppc/dct.cc \
        common/ppc/quant.cc common/ppc/deblock.cc \
        common/ppc/predict.cc
endif

# NEON optims
ifeq ($(SYS_ARCH),ARM)
# x264 ARM asm sources
# ASMSRC += common/arm/cpu-a.S common/arm/pixel-a.S common/arm/mc-a.S \
#           common/arm/dct-a.S common/arm/quant-a.S common/arm/deblock-a.S \
#           common/arm/predict-a.S common/arm/bitstream-a.S
# SRCS   += common/arm/mc-c.cc common/arm/predict-c.cc
# x265 ARM asm sources
ASMSRC += common/arm/blockcopy8.S common/arm/cpu-a.S common/arm/dct-a.S \
          common/arm/ipfilter8.S common/arm/mc-a.S common/arm/pixel-util.S \
          common/arm/sad-a.S common/arm/ssd-a.S
OBJASM  = $(ASMSRC:%.S=%.o)
endif

# AArch64 NEON optims
ifeq ($(SYS_ARCH),AARCH64)
ASMSRC += common/aarch64/bitstream-a.S \
          common/aarch64/cabac-a.S     \
          common/aarch64/dct-a.S     \
          common/aarch64/deblock-a.S \
          common/aarch64/mc-a.S      \
          common/aarch64/pixel-a.S   \
          common/aarch64/predict-a.S \
          common/aarch64/quant-a.S
SRCS   += common/aarch64/asm-offsets.cc \
          common/aarch64/mc-c.cc        \
          common/aarch64/predict-c.cc
OBJASM  = $(ASMSRC:%.S=%.o)
OBJCHK += tools/checkasm-aarch64.o
endif

# MSA optims
ifeq ($(SYS_ARCH),MIPS)
ifneq ($(findstring HAVE_MSA 1, $(CONFIG)),)
SRCS += common/mips/mc-c.cc common/mips/dct-c.cc \
        common/mips/deblock-c.cc common/mips/pixel-c.cc \
        common/mips/predict-c.cc common/mips/quant-c.cc
endif
endif

# asm --------------------------------------------------------------
endif 
# here ends ifneq ($(AS),)

ifneq ($(HAVE_GETOPT_LONG),1)
SRCS += compat/getopt/getopt.cc
endif

## Windows Dll
## ifeq ($(SYS), WINDOWS)
## # OBJCLI += $(if $(RC), davs2res.o)
## ifneq ($(SONAME),)
## SRCSO   += davs2dll.cc
## OBJSO   += $(if $(RC), davs2res.dll.o)
## endif
## endif

OBJS   += $(SRCS:%.cc=%.o)
OBJAVX += $(SRCSAVX:%.cc=%.o)
OBJCLI += $(SRCCLI:%.c=%.o)
OBJSO  += $(SRCSO:%.cc=%.o)

.PHONY: all default fprofiled clean distclean install install-* uninstall cli lib-* etags

cli: davs2$(EXE)
lib-static: $(LIBDAVS2)
lib-shared: $(SONAME)

$(LIBDAVS2): $(GENERATED) .depend $(OBJS) $(OBJAVX) $(OBJASM)
	@echo "\033[33m [linking static] $(LIBDAVS2) \033[0m"
	rm -f $(LIBDAVS2)
	$(AR)$@ $(OBJS) $(OBJAVX) $(OBJASM)
	$(if $(RANLIB), $(RANLIB) $@)

$(SONAME): $(GENERATED) .depend $(OBJS) $(OBJAVX) $(OBJASM) $(OBJSO)
	@echo "\033[33m [linking shared] $(SONAME) \033[0m"
	$(LD)$@ $(OBJS) $(OBJAVX) $(OBJASM) $(OBJSO) $(SOFLAGS) $(LDFLAGS)

ifneq ($(EXE),)
.PHONY: davs2 checkasm
davs2: davs2$(EXE)
checkasm: checkasm$(EXE)
endif

davs2$(EXE): $(GENERATED) .depend $(OBJCLI) $(CLI_LIBDAVS2)
	@echo "\033[33m [linking execution] davs2$(EXE) \033[0m"
	$(LD)$@ $(OBJCLI) $(CLI_LIBDAVS2) $(LDFLAGSCLI) $(LDFLAGS)

checkasm$(EXE): $(GENERATED) .depend $(OBJCHK) $(LIBDAVS2)
	@echo "\033[33m [linking checkasm] checkasm$(EXE) \033[0m"
	$(LD)$@ $(OBJCHK) $(LIBDAVS2) $(LDFLAGS)

$(OBJS) $(OBJAVX) $(OBJASM) $(OBJSO) $(OBJCLI) $(OBJCHK): .depend

%.o: %.asm common/x86/x86inc.asm common/x86/x86util.asm
	@echo "\033[33m [Compiling asm]: $< \033[0m"
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.o: %.S
	@echo "\033[33m [Compiling asm]: $< \033[0m"
	$(AS) $(ASFLAGS) -o $@ $<
	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile

%.dll.o: %.rc davs2.h
	@echo "\033[33m [Compiling dll]: $< \033[0m"
	$(RC) $(RCFLAGS)$@ -DDLL $<

%.o: %.rc davs2.h
	@echo "\033[33m [Compiling rc]: $< \033[0m"
	$(RC) $(RCFLAGS)$@ $<

$(OBJAVX):
	@echo "\033[33m [Compiling]: $(@:.o=.cc) \033[0m"
	$(CC) $(CFLAGS) -mavx2 -c -o $@ $(SRCPATH)/$(@:.o=.cc)

%.o: %.cc
	@echo "\033[33m [Compiling]: $< \033[0m"
	$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.c
	@echo "\033[33m [Compiling]: $< \033[0m"
	$(CC) $(CFLAGS) -c -o $@ $<

.depend: config.mak
	@rm -f .depend
	@echo "\033[33m dependency file generation... \033[0m"
ifeq ($(COMPILER),CL)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO)), $(SRCPATH)/tools/msvsdepend.sh "$(CC)" "$(CFLAGS)" "$(SRC)" "$(SRC:$(SRCPATH)/%.cc=%.o)" 1>> .depend;)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCSAVX)), $(SRCPATH)/tools/msvsdepend.sh "$(CC)" "$(CFLAGS)" "$(SRC)" "$(SRC:$(SRCPATH)/%.cc=%.o)" 1>> .depend;)
else
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCS) $(SRCCLI) $(SRCSO)), $(CC) $(CFLAGS) $(SRC) $(DEPMT) $(SRC:$(SRCPATH)/%.cc=%.o) $(DEPMM) 1>> .depend;)
	@$(foreach SRC, $(addprefix $(SRCPATH)/, $(SRCSAVX)), $(CC) $(CFLAGS) $(SRC) $(DEPMT) $(SRC:$(SRCPATH)/%.cc=%.o) $(DEPMM) 1>> .depend;)
endif

config.mak:
	./configure

depend: .depend
ifneq ($(wildcard .depend),)
include .depend
endif

SRC2 = $(SRCS) $(SRCCLI)
# These should cover most of the important codepaths
OPT0 = --crf 30 -b1 -m1 -r1 --me dia --no-cabac --direct temporal --ssim --no-weightb
OPT1 = --crf 16 -b2 -m3 -r3 --me hex --no-8x8dct --direct spatial --no-dct-decimate -t0  --slice-max-mbs 50
OPT2 = --crf 26 -b4 -m5 -r2 --me hex --cqm jvt --nr 100 --psnr --no-mixed-refs --b-adapt 2 --slice-max-size 1500
OPT3 = --crf 18 -b3 -m9 -r5 --me umh -t1 -A all --b-pyramid normal --direct auto --no-fast-pskip --no-mbtree
OPT4 = --crf 22 -b3 -m7 -r4 --me esa -t2 -A all --psy-rd 1.0:1.0 --slices 4
OPT5 = --frames 50 --crf 24 -b3 -m10 -r3 --me tesa -t2
OPT6 = --frames 50 -q0 -m9 -r2 --me hex -Aall
OPT7 = --frames 50 -q0 -m2 -r1 --me hex --no-cabac

ifeq (,$(VIDS))
fprofiled:
	@echo 'usage: make fprofiled VIDS="infile1 infile2 ..."'
	@echo 'where infiles are anything that davs2 understands,'
	@echo 'i.e. YUV with resolution in the filename, y4m, or avisynth.'
else
fprofiled:
	$(MAKE) clean
	$(MAKE) davs2$(EXE) CFLAGS="$(CFLAGS) $(PROF_GEN_CC)" LDFLAGS="$(LDFLAGS) $(PROF_GEN_LD)"
	$(foreach V, $(VIDS), $(foreach I, 0 1 2 3 4 5 6 7, ./davs2$(EXE) $(OPT$I) --threads 1 $(V) -o $(DEVNULL) ;))
ifeq ($(COMPILER),CL)
# Because Visual Studio timestamps the object files within the PGD, it fails to build if they change - only the executable should be deleted
	rm -f davs2$(EXE)
else
	rm -f $(SRC2:%.cc=%.o)
endif
	$(MAKE) CFLAGS="$(CFLAGS) $(PROF_USE_CC)" LDFLAGS="$(LDFLAGS) $(PROF_USE_LD)"
	rm -f $(SRC2:%.cc=%.gcda) $(SRC2:%.cc=%.gcno) *.dyn pgopti.dpi pgopti.dpi.lock *.pgd *.pgc
endif

clean:
	rm -f $(OBJS) $(OBJASM) $(OBJCLI) $(OBJSO) $(SONAME) 
	rm -f *.a *.lib *.exp *.pdb libdavs2.so* davs2 davs2.exe .depend TAGS
	rm -f checkasm checkasm.exe $(OBJCHK) $(GENERATED) davs2_lookahead.cclbin
	rm -f example example.exe $(OBJEXAMPLE)
	rm -f $(SRC2:%.cc=%.gcda) $(SRC2:%.cc=%.gcno) *.dyn pgopti.dpi pgopti.dpi.lock *.pgd *.pgc

distclean: clean
	rm -f config.mak davs2_config.h config.h config.log davs2.pc davs2.def conftest*

install-cli: cli
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) davs2$(EXE) $(DESTDIR)$(bindir)

install-lib-dev:
	$(INSTALL) -d $(DESTDIR)$(includedir)
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL) -m 644 $(SRCPATH)/davs2.h $(DESTDIR)$(includedir)
	$(INSTALL) -m 644 davs2_config.h $(DESTDIR)$(includedir)
	$(INSTALL) -m 644 davs2.pc $(DESTDIR)$(libdir)/pkgconfig

install-lib-static: lib-static install-lib-dev
	$(INSTALL) -m 644 $(LIBDAVS2) $(DESTDIR)$(libdir)
	$(if $(RANLIB), $(RANLIB) $(DESTDIR)$(libdir)/$(LIBDAVS2))

install-lib-shared: lib-shared install-lib-dev
ifneq ($(IMPLIBNAME),)
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) -m 755 $(SONAME) $(DESTDIR)$(bindir)
	$(INSTALL) -m 644 $(IMPLIBNAME) $(DESTDIR)$(libdir)
else ifneq ($(SONAME),)
	ln -f -s $(SONAME) $(DESTDIR)$(libdir)/libdavs2.$(SOSUFFIX)
	$(INSTALL) -m 755 $(SONAME) $(DESTDIR)$(libdir)
endif

uninstall:
	rm -f $(DESTDIR)$(includedir)/davs2.h $(DESTDIR)$(includedir)/davs2_config.h $(DESTDIR)$(libdir)/libdavs2.a
	rm -f $(DESTDIR)$(bindir)/davs2$(EXE) $(DESTDIR)$(libdir)/pkgconfig/davs2.pc
ifneq ($(IMPLIBNAME),)
	rm -f $(DESTDIR)$(bindir)/$(SONAME) $(DESTDIR)$(libdir)/$(IMPLIBNAME)
else ifneq ($(SONAME),)
	rm -f $(DESTDIR)$(libdir)/$(SONAME) $(DESTDIR)$(libdir)/libdavs2.$(SOSUFFIX)
endif

etags: TAGS

TAGS:
	etags $(SRCS)

=== debian/changelog ===
davs2 (1.6-1~exp2) experimental; urgency=medium

  * Add patch 1002 to fix architecture optimization.
    Stop avoid assembler on 32bit architectures.
  * Add patches cherry-picked upstream:
    + Make AVX symbols to be strictly visible (fix build with gcc8).
    + Fix write one more line in intra_pred_ver_sse128().
    + Fix avoid duplicate content when passing parameter -h or --help.
    + Change the help text to English.
  * Fix clean leftover objects and generated header after build.
  * Add symbols file.
  * Wrap and sort control file.
  * Resolve dependencies for and install shared library with d-shlibs.
  * Update help2man post-scrubbing.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Dec 2018 14:05:38 +0100

davs2 (1.6-1~exp1) experimental; urgency=low

  * Initial packaging release.
    Closes: bug#917172.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Dec 2018 19:18:37 +0100

=== debian/control ===
Source: davs2
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 d-shlibs,
 debhelper,
 help2man,
 pkg-kde-tools,
 yasm,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/multimedia-team/davs2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/davs2
Homepage: https://github.com/pkuvcl/davs2

Package: davs2
Architecture: any
Depends:
 libdavs2-16 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: AVS2 (IEEE 1857.4) decoder - command-line tool
 davs2 is an decoder for the AVS2-P2/IEEE1857.4 video codec.
 .
 Audio Video Coding Standard (AVS) is a standard
 for compression digital audio and digital,
 developed and widely used in China.
 the second generation AVS standard (AVS2)
 primarily targets Ultra HD (High Definition) video,
 with features comparable to MPEG H.265 (HEVC) and VC9.
 .
 This package provides the command-line tool davs2.

Package: libdavs2-16
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: AVS2 (IEEE 1857.4) decoder - runtime library
 davs2 is an decoder for the AVS2-P2/IEEE1857.4 video codec.
 .
 Audio Video Coding Standard (AVS) is a standard
 for compression digital audio and digital,
 developed and widely used in China.
 the second generation AVS standard (AVS2)
 primarily targets Ultra HD (High Definition) video,
 with features comparable to MPEG H.265 (HEVC) and VC9.
 .
 This package provides libdavs2 runtime library.

Package: libdavs2-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libdavs2-16 (= ${binary:Version}),
 ${misc:Depends},
Description: AVS2 (IEEE 1857.4) decoder - runtime library
 davs2 is an decoder for the AVS2-P2/IEEE1857.4 video codec.
 .
 Audio Video Coding Standard (AVS) is a standard
 for compression digital audio and digital,
 developed and widely used in China.
 the second generation AVS standard (AVS2)
 primarily targets Ultra HD (High Definition) video,
 with features comparable to MPEG H.265 (HEVC) and VC9.
 .
 This package provides libdavs2 development headers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

OPTS = --enable-shared --enable-pic

manpage = debian/davs2.1
executable = debian/tmp/usr/bin/davs2

%:
	dh $@ --sourcedirectory=build/linux --with pkgkde_symbolshelper --parallel

override_dh_auto_configure:
	VER_SHA="$(DEB_DISTRIBUTION)" dh_auto_configure -- $(OPTS)

# generate manpage based on --help option of script itself
override_dh_auto_install:
	dh_auto_install
	help2man \
		--name="AVS2 (IEEE 1857.4) decoder" \
		--no-info \
		--help-option=foobar \
		--no-discard-stderr \
		--version-string=$(DEB_VERSION_UPSTREAM) \
		--output=$(manpage) \
		$(executable) \
		|| { $(executable) --help; false; }
	perl -i -0 -p \
		-e 's/^\.SH DESCRIPTION\n.*davs2 foobar\n\.PP\ndavs2 parameters\n//m;' \
		-e 's/^\.IP\nusage: +davs2 +(.+)/.SH SYNOPSIS\n.B davs2\n$$1\n.SH OPTIONS/mg;' \
		-e 's/^\+\S+\+\n\|.*\n\+\S+\+\n//m;' \
		-e 's/^\+.*//ms;' \
		-e 's/^\| *(\S+) *\| *(\S+(?: \w\S*)?) *\| *(\S+(?: +\S+)*) *\|/.TP\n$$1 $$2\n$$3/mg;' \
		-e 's/ \\fB(\\-\\-(?:in|out)put)\\fR/ $$1/g;' \
		-e 's/ (avs2file|outputfile|recfile|threads|test\.avs|dec\.yuv|rec\.yuv|[NM]\b)/ \\fI$$1\\fR/g;' \
		-e 's/\[(\\-[a-z]\b)/[\\fB$$1\\fR/g;' \
		-e 's/\\fR([.a-z]+)/$$1\\fR/g;' \
		$(manpage)

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
override_dh_install:
	dh_install
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--multiarch \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so

override_dh_clean:
	dh_clean
	rm -f $(manpage)

# avoid triggering configure during cleanup
override_dh_auto_clean:
	[ ! -f build/linux/config.mak ] || dh_auto_clean

## davs2 1.7.1

=== build/linux/Makefile ===
--- 
+++ 
@@ -60,10 +60,10 @@
 				common/x86/pixeladd8.asm \
 				common/x86/quant8.asm
 
-ifeq ($(SYS_ARCH),X86)
-ARCH_X86 = yes
-ASMSRC   = $(X86SRC) 
-endif
+#ifeq ($(SYS_ARCH),X86)
+#ARCH_X86 = yes
+#ASMSRC   = $(X86SRC) 
+#endif
 
 ## Until now, we do not have 64-bit asm
 ifeq ($(SYS_ARCH),X86_64)
@@ -93,12 +93,12 @@
 $(OBJASM): common/x86/x86inc.asm common/x86/x86util.asm
 endif
 
-ifdef ARCH_X86
-ASFLAGS += -I$(SRCPATH)/x86/
+#ifdef ARCH_X86
+#ASFLAGS += -I$(SRCPATH)/x86/
 #SRCS    += x86/mc-c.cc x86/predict-c.cc
-OBJASM  = $(ASMSRC:%.asm=%.o)
-$(OBJASM): common/x86/x86inc.asm common/x86/x86util.asm
-endif
+#OBJASM  = $(ASMSRC:%.asm=%.o)
+#$(OBJASM): common/x86/x86inc.asm common/x86/x86util.asm
+#endif
 
 # AltiVec optims
 ifeq ($(SYS_ARCH),PPC)
@@ -201,15 +201,15 @@
 
 $(OBJS) $(OBJAVX) $(OBJASM) $(OBJSO) $(OBJCLI) $(OBJCHK): .depend
 
-%.o: %.asm common/x86/x86inc.asm common/x86/x86util.asm
-	@echo "\033[33m [Compiling asm]: $< \033[0m"
-	$(AS) $(ASFLAGS) -o $@ $<
-	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile
-
-%.o: %.S
-	@echo "\033[33m [Compiling asm]: $< \033[0m"
-	$(AS) $(ASFLAGS) -o $@ $<
-	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile
+#%.o: %.asm common/x86/x86inc.asm common/x86/x86util.asm
+#	@echo "\033[33m [Compiling asm]: $< \033[0m"
+#	$(AS) $(ASFLAGS) -o $@ $<
+#	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile
+
+#%.o: %.S
+#	@echo "\033[33m [Compiling asm]: $< \033[0m"
+#	$(AS) $(ASFLAGS) -o $@ $<
+#	-@ $(if $(STRIP), $(STRIP) -x $@) # delete local/anonymous symbols, so they don't show up in oprofile
 
 %.dll.o: %.rc davs2.h
 	@echo "\033[33m [Compiling dll]: $< \033[0m"

=== debian/changelog ===
davs2 (1.7.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Sun, 25 Apr 2021 18:55:38 +0800

davs2 (1.7.1-1+dde) unstable; urgency=low

  * fix: x86 compile

 -- muyuankai <muyuankai@uniontech.com>  Tue, 13 Apr 2021 10:10:30 +0800

davs2 (1.7-1+dde) unstable; urgency=low

  * fix:Merge davs2 from gitee addr:https://gitee.com/pkuvcl/davs2

 -- muyuankai <muyuankai@uniontech.com>  Thu, 26 Nov 2020 10:10:30 +0800

davs2 (1.6-1~exp3) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0
  * Bump Standards-Version to 4.4.1

  [ Jonas Smedegaard ]
  * remove myelf as uploader

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Aug 2020 11:22:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- d-shlibs,
  debhelper,
+ pkg-kde-tools,
+ nasm,
  help2man,
- pkg-kde-tools,
- yasm,
 Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/davs2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/davs2
@@ -19,8 +18,8 @@
 Architecture: any
 Depends:
  libdavs2-16 (= ${binary:Version}),
+ ${shlibs:Depends},
  ${misc:Depends},
- ${shlibs:Depends},
 Description: AVS2 (IEEE 1857.4) decoder - command-line tool
  davs2 is an decoder for the AVS2-P2/IEEE1857.4 video codec.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

OPTS = --enable-shared --enable-pic

# avoid SSE2/Altivec on 32bit hosts where not generally supported
ifneq (,$(filter 64,$(DEB_HOST_ARCH_BITS)))
OPTS += --disable-asm
endif

manpage = debian/davs2.1
executable = debian/tmp/usr/bin/davs2

%:
	dh $@ --sourcedirectory=build/linux --with pkgkde_symbolshelper --parallel

override_dh_auto_configure:
	VER_SHA="$(DEB_DISTRIBUTION)" dh_auto_configure -- $(OPTS)

# generate manpage based on --help option of script itself
override_dh_auto_install:
	dh_auto_install
	help2man \
		--name="AVS2 (IEEE 1857.4) decoder" \
		--no-info \
		--help-option=foobar \
		--no-discard-stderr \
		--version-string=$(DEB_VERSION_UPSTREAM) \
		--output=$(manpage) \
		$(executable) \
		|| { $(executable) --help; false; }
	perl -i -0 -p \
		-e 's/davs2\K\.exe//g;' \
		-e 's/^\.SH DESCRIPTION\n.*davs2 foobar\n\.PP\ndavs2 \S+\n//m;' \
		-e 's/ \\fB(\\-\\-(?:in|out)put)\\fR/ $$1/g;' \
		-e 's/^\.IP\nusage: +davs2 +(.+)/.SH SYNOPSIS\n.B davs2\n$$1\n.SH OPTIONS/mg;' \
		-e 's/^(\\fB\\-\\-\w\S+ \S+ \\fB\\-\w\S+(?: [a-zA-Z]\S*)?)\s+/.TP\n$$1\n/mg;' \
		-e 's/^.PP\n\\fB\\-.*//ms;' \
		-e 's/=(recfile|threads)/=\\fI$$1\\fR/g;' \
		-e 's/ (avsfile)/=\\fI$$1\\fR/g;' \
		$(manpage)

override_dh_clean:
	dh_clean
	rm -f $(manpage)

# avoid triggering configure during cleanup
override_dh_auto_clean:
	[ ! -f build/linux/config.mak ] || dh_auto_clean

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/pkuvcl/davs2/tags \
 .*/@ANY_VERSION@@ARCHIVE_EXT@
